Assign file Run in API Explorer
Ask AI
Set the unassigned files to belong to a documentable item and folder.
POST
/api/v1/file
curl \
--request POST 'https://api.plannrcrm.com/api/v1/file' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"folder": "d3b4bd14-d3e9-430b-9cdd-a540854c168a",
"files": [
"a5ed775e-90b2-40ed-bcb6-c2894033e931",
"2f8e5081-22a5-4fd7-886e-7d77343839eb",
"feca2a0f-5122-48a1-88b7-8326435b8346"
]
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"folder": "d3b4bd14-d3e9-430b-9cdd-a540854c168a",
"files": [
"a5ed775e-90b2-40ed-bcb6-c2894033e931",
"2f8e5081-22a5-4fd7-886e-7d77343839eb",
"feca2a0f-5122-48a1-88b7-8326435b8346"
]
}
Response examples (200)
{
"uuid": "1325dedf-8e8a-42f2-84d4-98a870996e3a",
"created_at": "2026-11-18T20:11:44+00:00",
"original_created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"uploaded_at": "2026-11-18T20:11:44+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-18T20:11:44+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/7c29b7af-892d-4870-9524-5b36514e1252/download",
"preview_url": "https://api.plannrcrm.com/file/66e9b6b5-cf2d-4c5d-bd48-b5347822d7c0/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "346cf77d-3cd4-4324-a5d1-78609f4223d1",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "b06762e2-a94b-4c88-97e5-8dc08a303bfa",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "1cb8fbb8-a7dd-46fa-a9a5-91df635671fc",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "3312cab6-6151-4145-9ea6-05ca902bffcc",
"created_at": "2026-11-18T20:11:49+00:00",
"original_created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"uploaded_at": "2026-11-18T20:11:49+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-18T20:11:49+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/68f56058-8ef9-48bb-99b8-4ff02c13e3a2/download",
"preview_url": "https://api.plannrcrm.com/file/1e11fe95-7087-47fd-86d6-6a22a71f265f/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "1cb8fbb8-a7dd-46fa-a9a5-91df635671fc",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "1cb8fbb8-a7dd-46fa-a9a5-91df635671fc",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "1cb8fbb8-a7dd-46fa-a9a5-91df635671fc",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "dd4cf33a-19d3-4354-b7ad-b3a37d71f344"
},
"firm": {
"uuid": "c69462ff-6271-40b6-ba59-dc3b488ef2ea",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"addon_subscriptions": {
"uuid": "213d0e0a-ec52-4692-8424-d418d19b7512",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"enabled": "true",
"trial_ends_at": "2026-12-02",
"trial_ends_in_days": 14,
"payment_confirmed_at": "2026-12-06"
},
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"task_board_template": {
"uuid": null,
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"is_template": false,
"name": "Task Board",
"default_list_uuid": null,
"is_editable": true,
"priorities": [
{
"name": "High",
"value": "high"
},
{
"name": "Low",
"value": "low"
}
]
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "b9d064a2-a600-4fa6-9478-2ca170db388f",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "4bcc9b2d-d5f4-4ea4-9e39-edbdbc538591",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"tags": [
{
"uuid": "19562772-194c-48e6-8841-c2bd70d98418",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}